Commit 53e77665 authored by Marin Jankovski's avatar Marin Jankovski

Update development documentation with specific vagrant version and vagrant plugin versions.

parent 28b80928
source 'https://rubygems.org'
gem 'berkshelf', "2.0.10"
gem 'berkshelf', '3.1.1'
gem 'foodcritic'
gem 'chefspec', "3.0.1"
gem 'chefspec', '3.0.1'
GEM
remote: https://rubygems.org/
specs:
activesupport (3.2.15)
i18n (~> 0.6, >= 0.6.4)
multi_json (~> 1.0)
addressable (2.3.5)
akami (1.2.0)
gyoku (>= 0.4.0)
nokogiri (>= 1.4.0)
berkshelf (2.0.10)
activesupport (~> 3.2.0)
addressable (2.3.6)
berkshelf (3.1.1)
addressable (~> 2.3.4)
berkshelf-api-client (~> 1.2)
buff-config (~> 0.2)
buff-extensions (~> 0.4)
buff-shell_out (~> 0.1)
chozo (>= 0.6.1)
faraday (>= 0.8.5)
hashie (>= 2.0.2)
celluloid (~> 0.16.0.pre)
celluloid-io (~> 0.16.0.pre)
faraday (~> 0.9.0)
minitar (~> 0.5.4)
rbzip2 (~> 0.2.0)
octokit (~> 3.0)
retryable (~> 1.3.3)
ridley (~> 1.5.0)
solve (>= 0.5.0)
thor (~> 0.18.0)
ridley (~> 3.1)
solve (~> 1.1)
thor (~> 0.18)
berkshelf-api-client (1.2.0)
faraday (~> 0.9.0)
buff-config (0.4.0)
buff-extensions (~> 0.3)
varia_model (~> 0.1)
buff-extensions (0.5.0)
buff-ignore (1.1.0)
buff-ignore (1.1.1)
buff-ruby_engine (0.1.0)
buff-shell_out (0.1.1)
buff-ruby_engine (~> 0.1.0)
builder (3.2.2)
celluloid (0.14.1)
timers (>= 1.0.0)
celluloid-io (0.14.1)
celluloid (>= 0.14.1)
nio4r (>= 0.4.5)
celluloid (0.16.0.pre)
timers (~> 2.0.0)
celluloid-io (0.16.0.pre)
celluloid (>= 0.16.0.pre)
nio4r (>= 1.0.0)
chef (11.6.2)
erubis (~> 2.7)
highline (~> 1.6, >= 1.6.9)
......@@ -53,41 +50,29 @@ GEM
chef (~> 11.0)
fauxhai (~> 1.1)
rspec (~> 2.14)
chozo (0.6.1)
activesupport (>= 3.2.0)
hashie (>= 2.0.2)
multi_json (>= 1.3.0)
dep-selector-libgecode (1.0.0)
dep_selector (1.0.2)
dep-selector-libgecode (~> 1.0)
ffi (~> 1.9)
diff-lcs (1.2.4)
erubis (2.7.0)
faraday (0.8.8)
multipart-post (~> 1.2.0)
faraday (0.9.0)
multipart-post (>= 1.2, < 3)
fauxhai (1.1.1)
httparty
net-ssh
ohai
ffi (1.9.0)
ffi (1.9.3)
foodcritic (0.2.0)
gssapi (1.0.3)
ffi (>= 1.0.1)
gyoku (1.1.0)
builder (>= 2.1.2)
hashie (2.0.5)
hashie (2.1.1)
highline (1.6.20)
hitimes (1.2.1)
httparty (0.11.0)
multi_json (~> 1.0)
multi_xml (>= 0.5.2)
httpclient (2.3.4.1)
httpi (0.9.7)
rack
i18n (0.6.5)
ipaddress (0.8.0)
json (1.7.7)
little-plugger (1.1.3)
logging (1.8.1)
little-plugger (>= 1.1.3)
multi_json (>= 1.3.6)
mime-types (2.0)
mini_portile (0.5.2)
minitar (0.5.4)
mixlib-authentication (1.3.0)
mixlib-log
......@@ -97,18 +82,17 @@ GEM
mixlib-shellout (1.2.0)
multi_json (1.8.2)
multi_xml (0.5.5)
multipart-post (1.2.0)
net-http-persistent (2.9)
multipart-post (2.0.0)
net-http-persistent (2.9.4)
net-ssh (2.7.0)
net-ssh-gateway (1.2.0)
net-ssh (>= 2.6.5)
net-ssh-multi (1.1)
net-ssh (>= 2.1.4)
net-ssh-gateway (>= 0.99.0)
nio4r (0.5.0)
nokogiri (1.6.0)
mini_portile (~> 0.5.0)
nori (1.1.5)
nio4r (1.0.0)
octokit (3.1.0)
sawyer (~> 0.5.3)
ohai (6.18.0)
ipaddress
mixlib-cli
......@@ -117,31 +101,26 @@ GEM
mixlib-shellout
systemu
yajl-ruby
rack (1.5.2)
rbzip2 (0.2.0)
rest-client (1.6.7)
mime-types (>= 1.16)
retryable (1.3.3)
ridley (1.5.3)
retryable (1.3.5)
ridley (3.1.0)
addressable
buff-config (~> 0.2)
buff-extensions (~> 0.3)
buff-ignore (~> 1.1)
buff-shell_out (~> 0.1)
celluloid (~> 0.14.0)
celluloid-io (~> 0.14.0)
celluloid (~> 0.16.0.pre)
celluloid-io (~> 0.16.0.pre)
erubis
faraday (>= 0.8.4)
faraday (~> 0.9.0)
hashie (>= 2.0.2)
json (>= 1.7.7)
mixlib-authentication (>= 1.3.0)
net-http-persistent (>= 2.8)
net-ssh
nio4r (>= 0.5.0)
retryable
solve (>= 0.4.4)
varia_model (~> 0.1)
winrm (~> 1.1.0)
semverse (~> 1.1)
varia_model (~> 0.3)
rspec (2.14.1)
rspec-core (~> 2.14.0)
rspec-expectations (~> 2.14.0)
......@@ -150,39 +129,26 @@ GEM
rspec-expectations (2.14.3)
diff-lcs (>= 1.1.3, < 2.0)
rspec-mocks (2.14.4)
rubyntlm (0.1.1)
savon (0.9.5)
akami (~> 1.0)
builder (>= 2.1.2)
gyoku (>= 0.4.0)
httpi (~> 0.9)
nokogiri (>= 1.4.0)
nori (~> 1.0)
wasabi (~> 1.0)
solve (0.8.1)
sawyer (0.5.4)
addressable (~> 2.3.5)
faraday (~> 0.8, < 0.10)
semverse (1.1.0)
solve (1.2.0)
dep_selector (~> 1.0)
semverse (~> 1.1)
systemu (2.5.2)
thor (0.18.1)
timers (1.1.0)
uuidtools (2.1.4)
varia_model (0.2.0)
thor (0.19.1)
timers (2.0.0)
hitimes
varia_model (0.3.2)
buff-extensions (~> 0.2)
hashie (>= 2.0.2)
wasabi (1.0.0)
nokogiri (>= 1.4.0)
winrm (1.1.3)
gssapi (~> 1.0.0)
httpclient (~> 2.2, >= 2.2.0.2)
logging (~> 1.6, >= 1.6.1)
nokogiri (~> 1.5)
rubyntlm (~> 0.1.1)
savon (= 0.9.5)
uuidtools (~> 2.1.2)
yajl-ruby (1.1.0)
PLATFORMS
ruby
DEPENDENCIES
berkshelf (= 2.0.10)
berkshelf (= 3.1.1)
chefspec (= 3.0.1)
foodcritic
......@@ -4,7 +4,7 @@
* [Ruby 1.9 or higher](https://www.ruby-lang.org/) and [Rubygems](http://rubygems.org/)
* [VirtualBox](https://www.virtualbox.org)
* [Vagrant 1.3.5](http://vagrantup.com)
* [Vagrant 1.4.0](https://www.vagrantup.com/download-archive/v1.4.0.html)
* The NFS packages for the synced folder of Vagrant. These are already installed if you are using Mac OSX and not necessary if you are using Windows. On Linux install them by running:
```bash
......@@ -52,12 +52,12 @@ gem uninstall vagrant
Next steps are:
```bash
gem install berkshelf
vagrant plugin install vagrant-berkshelf
vagrant plugin install vagrant-berkshelf --plugin-version 1.3.7
vagrant plugin install vagrant-omnibus
vagrant plugin install vagrant-bindfs
git clone https://gitlab.com/gitlab-org/cookbook-gitlab.git
cd ./cookbook-gitlab
bundle install
vagrant up --provision
```
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment